<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@C189=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@6959</action>
    </script>
    <script state="run">
      <action>maincpu.mb@6959=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@6959=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always have One Star">
    <script state="run">
      <action>maincpu.pb@C18F=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Side Arms">
    <script state="run">
      <action>maincpu.pb@C1DE=40</action>
    </script>
  </cheat>

  <cheat desc="Always have Full Wings">
    <script state="run">
      <action>maincpu.pb@C1DC=03</action>
      <action>maincpu.pb@C209=82</action>
      <action>maincpu.pb@C219=82</action>
    </script>
  </cheat>

  <cheat desc="Always have Shield">
    <script state="run">
      <action>maincpu.pb@C190=82</action>
      <action>maincpu.pb@C1BF=07</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon">
    <parameter>
      <item value="0x01">Bomb</item>
      <item value="0x02">Laser</item>
      <item value="0x03">H Mis</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@C1D7=01</action>
      <action condition="(param==01)">maincpu.pb@C1DD=05</action>
      <action condition="(param==02)">maincpu.pb@C1D7=02</action>
      <action condition="(param==02)">maincpu.pb@C1DD=03</action>
      <action condition="(param==03)">maincpu.pb@C1D7=03</action>
      <action condition="(param==03)">maincpu.pb@C1DD=07</action>
    </script>
  </cheat>

  <cheat desc="Select Stars Now!">
    <parameter>
      <item value="0x01">1 Star</item>
      <item value="0x02">2 Stars</item>
      <item value="0x03">3 Stars</item>
      <item value="0x04">4 Stars</item>
      <item value="0x05">5 Stars</item>
      <item value="0x06">6 Stars</item>
      <item value="0x07">7 Stars</item>
      <item value="0x08">8 Stars</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@C18F=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot">
    <script state="run">
      <action>maincpu.pb@C1D9=28</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Side Shot">
    <script state="run">
      <action>maincpu.pb@C1DA=28</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
